package com.heyu.api.controller.vv;


import com.heyu.api.common.annotation.AppRealyLogin;
import com.heyu.api.common.annotation.Describe;
import com.heyu.api.data.annotation.NotIntercept;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

@Slf4j
@RestController
@NotIntercept
public class AppOssAuthController {

    //  // https://api.1024api.com/api-interface/auth
    // http://localhost:8888/auth
    @Describe("图片认证接口")
    @RequestMapping("/auth")
    @AppRealyLogin
    public int auth(HttpServletRequest request, HttpServletResponse response) {

        String uri = request.getRequestURI();
        StringBuffer url= request.getRequestURL();
        String queryString = request.getQueryString();

        log.info("AppOssAuthController uri:{}, url:{},queryString:{}",uri,url.toString(),queryString);

        response.setStatus(HttpServletResponse.SC_OK);

        return 200;
    }


}
